package com.steerinfo.ems.emsproductsexecutivestandard.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="钢产品执行标准")
public class EmsProductsExecutiveStandard implements IBasePO<String> {
    /**
     * 钢产品执行标准ID(STANDARD_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="钢产品执行标准ID",required=true)
    private String standardId;

    /**
     * 钢产品执行标准产品类型(PRODUCT,VARCHAR,50)
     */
    @ApiModelProperty(value="钢产品执行标准产品类型",required=false)
    private String product;

    /**
     * 钢产品执行标准产品牌号(BRAND,VARCHAR,50)
     */
    @ApiModelProperty(value="钢产品执行标准产品牌号",required=false)
    private String brand;

    /**
     * 钢产品出厂执行标准(FACTORY_STANDARD,VARCHAR,100)
     */
    @ApiModelProperty(value="钢产品出厂执行标准",required=false)
    private String factoryStandard;

    /**
     * 钢产品表面执行标准(SURFACE_STANDARD,VARCHAR,100)
     */
    @ApiModelProperty(value="钢产品表面执行标准",required=false)
    private String surfaceStandard;

    /**
     * 创建人(CREATEMAN,VARCHAR,50)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createman;

    /**
     * 创建时间(CREATETIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,50)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updatetime;

    /**
     * 备注(MEMO,VARCHAR,255)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.standardId == null ? null : this.standardId.trim() ;
    }

    @Override
    public void setId(String standardId) {
        this.standardId = standardId == null ? null : standardId.trim();
    }

    public String getStandardId() {
        return standardId;
    }

    public void setStandardId(String standardId) {
        this.standardId = standardId;
    }

    public String getProduct() {
        return product;
    }

    public void setProduct(String product) {
        this.product = product == null ? null : product.trim();
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand == null ? null : brand.trim();
    }

    public String getFactoryStandard() {
        return factoryStandard;
    }

    public void setFactoryStandard(String factoryStandard) {
        this.factoryStandard = factoryStandard == null ? null : factoryStandard.trim();
    }

    public String getSurfaceStandard() {
        return surfaceStandard;
    }

    public void setSurfaceStandard(String surfaceStandard) {
        this.surfaceStandard = surfaceStandard == null ? null : surfaceStandard.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", standardId=").append(standardId);
        sb.append(", product=").append(product);
        sb.append(", brand=").append(brand);
        sb.append(", factoryStandard=").append(factoryStandard);
        sb.append(", surfaceStandard=").append(surfaceStandard);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", memo=").append(memo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}